// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from rcss3d_agent_msgs:msg/HingeJointVel.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "rcss3d_agent_msgs/msg/hinge_joint_vel.h"


#ifndef RCSS3D_AGENT_MSGS__MSG__DETAIL__HINGE_JOINT_VEL__STRUCT_H_
#define RCSS3D_AGENT_MSGS__MSG__DETAIL__HINGE_JOINT_VEL__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'name'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/HingeJointVel in the package rcss3d_agent_msgs.
/**
  * Effector for all axis with a single degree of freedom.
  * name - name of the axis.
  * ax - a speed value, passed in radians per second.
  * Setting a speed value on a hinge means that the speed will be maintained until a new value is provided. 
  * Even if the hinge meets its extremity, it will bounce around at the extremity until a new
  * speed value is requested.
 */
typedef struct rcss3d_agent_msgs__msg__HingeJointVel
{
  /// The name of the corresponding hinge joint
  rosidl_runtime_c__String name;
  /// The angular velocity in radians per second
  float ax;
} rcss3d_agent_msgs__msg__HingeJointVel;

// Struct for a sequence of rcss3d_agent_msgs__msg__HingeJointVel.
typedef struct rcss3d_agent_msgs__msg__HingeJointVel__Sequence
{
  rcss3d_agent_msgs__msg__HingeJointVel * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} rcss3d_agent_msgs__msg__HingeJointVel__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // RCSS3D_AGENT_MSGS__MSG__DETAIL__HINGE_JOINT_VEL__STRUCT_H_
