// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from rcss3d_agent_msgs:msg/GameState.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "rcss3d_agent_msgs/msg/game_state.h"


#ifndef RCSS3D_AGENT_MSGS__MSG__DETAIL__GAME_STATE__STRUCT_H_
#define RCSS3D_AGENT_MSGS__MSG__DETAIL__GAME_STATE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'playmode'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/GameState in the package rcss3d_agent_msgs.
/**
  * Contains several information about the actual state of the soccer game environment. The actual
  * play time and play mode are transmitted in each cycle. Play time starts from zero at kickoff and
  * is given as a floating point number in seconds, to two decimal places.
 */
typedef struct rcss3d_agent_msgs__msg__GameState
{
  /// The current play time in seconds
  float time;
  /// The current play mode of the soccer game (eg. BeforeKickOff)
  rosidl_runtime_c__String playmode;
  /// The score of the left team
  int32_t score_left;
  /// The score of the right team
  int32_t score_right;
} rcss3d_agent_msgs__msg__GameState;

// Struct for a sequence of rcss3d_agent_msgs__msg__GameState.
typedef struct rcss3d_agent_msgs__msg__GameState__Sequence
{
  rcss3d_agent_msgs__msg__GameState * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} rcss3d_agent_msgs__msg__GameState__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // RCSS3D_AGENT_MSGS__MSG__DETAIL__GAME_STATE__STRUCT_H_
