// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from rcss3d_agent_msgs:msg/HingeJointPos.idl
// generated code does not contain a copyright notice

#include "rcss3d_agent_msgs/msg/detail/hinge_joint_pos__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_rcss3d_agent_msgs
const rosidl_type_hash_t *
rcss3d_agent_msgs__msg__HingeJointPos__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x21, 0x66, 0xfc, 0x29, 0xde, 0x21, 0xac, 0x41,
      0x12, 0x5b, 0x29, 0x89, 0x7d, 0xf8, 0x09, 0x30,
      0x4f, 0x24, 0xfb, 0x1d, 0x5f, 0x31, 0xf2, 0x10,
      0x89, 0xdf, 0xfc, 0xf9, 0xa7, 0xe1, 0x9d, 0xd8,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char rcss3d_agent_msgs__msg__HingeJointPos__TYPE_NAME[] = "rcss3d_agent_msgs/msg/HingeJointPos";

// Define type names, field names, and default values
static char rcss3d_agent_msgs__msg__HingeJointPos__FIELD_NAME__name[] = "name";
static char rcss3d_agent_msgs__msg__HingeJointPos__FIELD_NAME__ax[] = "ax";

static rosidl_runtime_c__type_description__Field rcss3d_agent_msgs__msg__HingeJointPos__FIELDS[] = {
  {
    {rcss3d_agent_msgs__msg__HingeJointPos__FIELD_NAME__name, 4, 4},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__HingeJointPos__FIELD_NAME__ax, 2, 2},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
rcss3d_agent_msgs__msg__HingeJointPos__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {rcss3d_agent_msgs__msg__HingeJointPos__TYPE_NAME, 35, 35},
      {rcss3d_agent_msgs__msg__HingeJointPos__FIELDS, 2, 2},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# Information about the angle of the correponding single-axis hinge joint. A zero angle\n"
  "# corresponds to straightly aligned bodies. The position angle of each hinge joint\n"
  "# perceptor is sent every cycle.\n"
  "#\n"
  "# Each hinge joint has minimum and maximum limits on its angular position. This varies\n"
  "# from hinge to hinge and depends upon the model being used.\n"
  "\n"
  "string name  # The name of the corresponding hinge joint\n"
  "float32 ax  # The current position angle in degrees";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
rcss3d_agent_msgs__msg__HingeJointPos__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {rcss3d_agent_msgs__msg__HingeJointPos__TYPE_NAME, 35, 35},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 463, 463},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
rcss3d_agent_msgs__msg__HingeJointPos__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *rcss3d_agent_msgs__msg__HingeJointPos__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
