// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from rcss3d_agent_msgs:msg/HingeJointVel.idl
// generated code does not contain a copyright notice

#include "rcss3d_agent_msgs/msg/detail/hinge_joint_vel__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_rcss3d_agent_msgs
const rosidl_type_hash_t *
rcss3d_agent_msgs__msg__HingeJointVel__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x15, 0x8c, 0xef, 0x3f, 0x5d, 0xe1, 0xc3, 0x2e,
      0x41, 0xa8, 0xe6, 0x5e, 0x64, 0x3f, 0x08, 0x9a,
      0xfb, 0xc6, 0xba, 0xee, 0x9f, 0x73, 0x18, 0x00,
      0x13, 0x1a, 0x02, 0x97, 0xe7, 0xb7, 0x17, 0x9d,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char rcss3d_agent_msgs__msg__HingeJointVel__TYPE_NAME[] = "rcss3d_agent_msgs/msg/HingeJointVel";

// Define type names, field names, and default values
static char rcss3d_agent_msgs__msg__HingeJointVel__FIELD_NAME__name[] = "name";
static char rcss3d_agent_msgs__msg__HingeJointVel__FIELD_NAME__ax[] = "ax";

static rosidl_runtime_c__type_description__Field rcss3d_agent_msgs__msg__HingeJointVel__FIELDS[] = {
  {
    {rcss3d_agent_msgs__msg__HingeJointVel__FIELD_NAME__name, 4, 4},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__HingeJointVel__FIELD_NAME__ax, 2, 2},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
rcss3d_agent_msgs__msg__HingeJointVel__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {rcss3d_agent_msgs__msg__HingeJointVel__TYPE_NAME, 35, 35},
      {rcss3d_agent_msgs__msg__HingeJointVel__FIELDS, 2, 2},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# Effector for all axis with a single degree of freedom.\n"
  "# name - name of the axis.\n"
  "# ax - a speed value, passed in radians per second.\n"
  "# Setting a speed value on a hinge means that the speed will be maintained until a new value is provided. \n"
  "# Even if the hinge meets its extremity, it will bounce around at the extremity until a new\n"
  "# speed value is requested.\n"
  "\n"
  "string name  # The name of the corresponding hinge joint\n"
  "float32 ax  # The angular velocity in radians per second";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
rcss3d_agent_msgs__msg__HingeJointVel__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {rcss3d_agent_msgs__msg__HingeJointVel__TYPE_NAME, 35, 35},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 477, 477},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
rcss3d_agent_msgs__msg__HingeJointVel__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *rcss3d_agent_msgs__msg__HingeJointVel__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
